Bug 1859164 - "code:apiserver_request_count:rate:sum" should be replaced by "code:apiserver_request_total:rate:sum" in telemetry-config configmap
Summary: "code:apiserver_request_count:rate:sum" should be replaced by "code:apiserver...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1856719
TreeView+ depends on / blocked
 
Reported: 2020-07-21 11:26 UTC by Frederic Branczyk
Modified: 2020-10-27 16:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1856719
Environment:
Last Closed: 2020-10-27 16:16:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:16:46 UTC

Comment 1 Frederic Branczyk 2020-07-21 11:26:54 UTC
This fix is already in 4.6, just needs verification by QE.

Comment 2 Junqi Zhao 2020-07-22 02:27:41 UTC
Tested with 4.6.0-0.nightly-2020-07-21-200036, issue is fixed
# oc -n openshift-monitoring get cm telemetry-config -oyaml | grep "code:apiserver_request_total:rate:sum"
    # (@openshift/openshift-team-olm) code:apiserver_request_total:rate:sum identifies average of occurences
    - '{__name__="code:apiserver_request_total:rate:sum"}'

# token=`oc sa get-token prometheus-k8s -n openshift-monitoring`
# oc -n openshift-monitoring exec -c prometheus prometheus-k8s-0 -- curl -k -H "Authorization: Bearer $token" 'https://prometheus-k8s.openshift-monitoring.svc:9091/api/v1/label/__name__/values' | jq | grep "code:apiserver_request_total:rate:sum"
    "code:apiserver_request_total:rate:sum",

Comment 5 errata-xmlrpc 2020-10-27 16:16:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.